
kerio.waw.ui.httpAdvancedOptionsEditor = {

x_m: function(x_n) {
var
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t),
x_1d,
x_1c,
x_10,
x_16,
x_2w;
this.x_ga = x_n; x_2w = this.x_ga + '_';
x_1d = {
x_1e: [
{	x_1f: 'x_79',
x_23: x_x('Logging options', 'httpAdvancedOptions'),
x_1l: true,
x_1e: [
{	x_1f: 'x_1q',
x_1s: x_x('Enable HTTP Log', 'httpAdvancedOptions'),
x_7d: true,

x_9t: function(x_1c, x_ax, x_1o) {
x_1c.x_vk.x_84(!x_1o);
}
},
{	x_1f: 'x_1g',
x_1l: true,
x_b2: 1,
x_1e: [
{	x_1f: 'x_7a',
x_7b: 'logFormat',
x_1s: x_x('Apache access log', 'httpAdvancedOptions'),
x_1o: 0,
x_7d: true
},
{	x_1f: 'x_7a',
x_7b: 'logFormat',
x_1s: x_x('Squid proxy log', 'httpAdvancedOptions'),
x_1o: 1
}
]
},
{	x_1f: 'x_1q',
x_1s: x_x('Enable Web Log', 'httpAdvancedOptions')
}
]
},
{	x_1f: 'x_79',
x_23: x_x('Other settings', 'httpAdvancedOptions'),
x_1l: true,
x_1e: [
{	x_1f: 'x_1q',
x_1j: 'handleLocalServers',
x_1s: x_x('Apply filtering rules also for local servers', 'httpAdvancedOptions')
}
]
}
]
};x_1c = new x_1b.x_1t(x_2w + 'x_1c', x_1d);
x_1c.x_7f(x_o);
x_10 = {
x_1u: 350,
x_l0: 350,
x_1v: 300,
x_l1: 300,
x_1w: true,
x_1y: x_x('Set Advanced Options', 'httpAdvancedOptions'),
x_1x: x_1c,

x_mc: function(x_32) {
x_32.x_16.x_iy.call(x_32.x_16);
}};x_10 = new x_fa.x_md(x_10);
x_16 = new x_1b.x_26(this.x_ga, x_10);
x_1c.x_27(
{	x_vk: x_1c.x_29('logFormat'),
x_16: x_16
}
);x_16.x_27(
{	x_3m: {},
x_1c: x_1c,
x_vl: x_r.x_vm
}
);this.x_2a(x_16);
return x_16;
}, 
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28) {
this.x_1c.x_7k(x_28.x_47);
this.x_3m = x_28.x_3m;
};
x_2b.x_iy = function() {
var
x_p5 = this.x_3m;
x_p5.x_vn = this.x_1c.x_7i(true);
x_p5.x_g4.call(x_p5, 'x_vn');
this.x_24(false);
this.x_2r();
};
x_2b.x_jo = function() {
this.x_1c.x_2h();
};} }; 